WANTED-PORTS(1)

NAME
%%PORTNAME%% -- depend on the ports that you want installed

SYNOPSIS
%%PORTNAME%% [-n] [-f config] [-a|-d portname]]

DESCRIPTION
%%PORTNAME%% is a small port that simply has a user modifiable list of run-time dependencies. The idea is that by marking a port as wanted, it adds a double check helping to prevent accidental deletion of the ports you really want to have installed. pkg_delete(1) will refuse to delete a port when that port is a dependency required by some other installed port, unless you give the -f option to force the action.

%%PORTNAME%% can also be used as a means to automate installing the required software load on a server.

  Using %%PORTNAME%%
The first time you run the %%PORTNAME%% script, it will generate a skeleton configuration file. Run %%PORTNAME%% to modify the list of ports that you want to have marked. This will automatically increment the "PORTREVISION" of %%PORTNAME%%, marking the ports-mgmt/%%PORTNAME%% port to be updated, eg. the next time that portmaster(8) or portupgrade(1) is run.

Updating or reinstalling the port will cause the ports system to force all of the marked ports to be installed, using the standard dependency resolution mechanisms of the ports.

OPTIONS

-n  Dry-run. Causes %%PORTNAME%% not to update the configuration file, but instead to display what the final result would have been.

-f config
    Read and modify an alternate configuration file. config should be the full path to the alternate file. Note: when updating the ports-management/%%PORTNAME%% port, set "CFGFILE" or "WANTEDPORTSCFG" in the make(1) environment to achieve the same effect.

-a portname
    Add dependencies. Find all matching package names or port paths from the INDEX file, and prompt the user whether to add any that are not already listed as dependencies in the configuration file.

-d portname
    Delete dependencies. Find all matching package names or port paths from the INDEX file, and prompt the user whether to delete any that are currently listed as dependencies in the configuration file.

The add -a and delete -d options are processed in the order given on the command line, so a later option can override an earlier one. The portname argument will match any substring of the port or package name: care should be taken that you don't accidentally match unintended items. You can anchor searches to start or end of item using "^" or "$".

FILES

/var/db/%%PORTNAME%%.conf
    The default configuration file used by %%PORTNAME%%. This is a makefile snippet, that will be included by ports-mgmt/%%PORTNAME%%/Makefile. A skeleton version will be created by %%PORTNAME%% if it doesn't exist. The %%PORTNAME%% script exists to add or remove "RUN_DEPENDS" entries and update the "PORTREVISION" setting.

ENVIRONMENT
The following environment variables affect the operation of %%PORTNAME%%. "PORTSDIR", "INDEXFILE" and "WANTEDPORTSCFG" override the system default settings: normally they will not need to be set. "USER" and "LOGNAME" are standard settings, from login(1).

"PORTSDIR"
    As in ports(7), the location where the ports tree is installed. Default /usr/ports

"INDEXFILE"
    As in ports(7), overrides the automatic logic to determine the name of the index file. Default INDEX-N where N is the OS major version number.

"USER"
"LOGNAME"
    The name of the user running the script. If neither are set, uses "an unknown user".

"WANTEDPORTSCFG"
    Override the default location of the configuration file. Using the -f config command line option superceeds this setting. Default /var/db/%%PORTNAME%%.conf

SEE ALSO
ports(7), pkg_delete(1), pkg_cutleaves(1), portmaster(8), portupgrade(1)